# Generated by Django 3.1.3 on 2021-01-25 00:28

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0085_auto_20210125_0026'),
    ]

    operations = [
        migrations.CreateModel(
            name='KeyGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('description', models.CharField(max_length=255)),
            ],
        ),
        migrations.RenameField(
            model_name='key',
            old_name='key_id',
            new_name='number',
        ),
        migrations.RemoveField(
            model_name='key',
            name='key_type',
        ),
        migrations.AddField(
            model_name='person',
            name='external_transponder_institution',
            field=models.CharField(blank=True, max_length=255, verbose_name='Name der externen Institution (Transponder)'),
        ),
        migrations.DeleteModel(
            name='KeyType',
        ),
        migrations.AddField(
            model_name='key',
            name='group',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.PROTECT, to='core.keygroup'),
            preserve_default=False,
        ),
    ]
